#include <iostream>
#include <string>
using namespace std;


int main()
{
    string a,b,c;
    string k[6];
string p=0;
    cin>>a>>b>>c;
    k[0]=a+b+c;
    k[1]=a+c+b;
    k[2]=b+a+c;
    k[3]=b+c+b;
    k[4]=c+b+a;
    k[5]=c+a+b;
   
    for(int i=0;i<6;i++)
    {
        if(k[i]<k[i+1])
        {
            p=k[i];
            k[i]=k[i+1];
            k[i+1]=p;
        }
    }
    cout<<k[0];


}